Bug 600934 - [abrt] crash in rpm-build-4.7.2-1.fc12: fdGetFp: Process /usr/bin/rpmbuild was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in rpm-build-4.7.2-1.fc12: fdGetFp: Process /usr/bin/rpmbuild wa...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: 12
Hardware: x86_64 Linux
low
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:3177ee6dd4fd223bc9ee11d26cb...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-06 18:29 UTC by pedro salazar
Modified: 2010-12-03 14:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 14:00:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (8.60 KB, text/plain)
2010-06-06 18:29 UTC, pedro salazar
no flags Details
the jboss.spec file (181.62 KB, application/octet-stream)
2010-06-08 01:31 UTC, pedro salazar
no flags Details

Description pedro salazar 2010-06-06 18:29:40 UTC
abrt 1.0.9 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: rpmbuild -bb jboss.spec
component: rpm
crash_function: fdGetFp
executable: /usr/bin/rpmbuild
global_uuid: 3177ee6dd4fd223bc9ee11d26cbb69006628037e
kernel: 2.6.32.12-115.fc12.x86_64
package: rpm-build-4.7.2-1.fc12
rating: 4
reason: Process /usr/bin/rpmbuild was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

comment
-----
The definition of jboss.spec has the following macro (BAD): 
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX}

Should be:
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Last ")" was bad replaced by "}".

How to reproduce
-----
1. rpmbuild -bb jboss.spec

Comment 1 pedro salazar 2010-06-06 18:29:42 UTC
Created attachment 421635 [details]
File: backtrace

Comment 2 Panu Matilainen 2010-06-07 07:07:29 UTC
Where can I find this particular jboss.spec to reproduce the issue?

Comment 3 pedro salazar 2010-06-07 08:08:42 UTC
(In reply to comment #2)
> Where can I find this particular jboss.spec to reproduce the issue?    

The segmentation fault is immediately and happens even before the %prep phase. It happens because the BuildRoot line:

# BAD syntax: Last ")" was bad replaced by "}". 
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX}

# Should be and works fine 
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

I think the jboss.spec has a lot of information that I believe isn't important for analysis. However I'll try to create a simpler one just with the sufficient information to generate the crash (I'll post here soon as I can).

Comment 4 pedro salazar 2010-06-08 01:31:38 UTC
Created attachment 421987 [details]
the jboss.spec file

Comment 5 Panu Matilainen 2010-06-08 04:38:26 UTC
Thanks, easily reproduced with that.

Comment 6 Panu Matilainen 2010-06-08 06:37:22 UTC
As I kinda suspected, there's no "minimal" reproducer for this: the spec parser is looking for the closing parenthesis and overruns the spec linebuffer while doing so (case of a missing bounds check), and this wont happen with the "minimal reproducer" spec sizes.

Comment 7 Bug Zapper 2010-11-03 13:31:07 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2010-12-03 14:00:39 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.